clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ClangdCompileCommand Struct Reference

Clangd extension that's used in the 'compilationDatabaseChanges' in workspace/didChangeConfiguration to record updates to the in-memory compilation database. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ClangdCompileCommand:
[legend]

## Public Attributes
std::string | workingDirectory
std::vector< std::string > | compilationCommand

## Detailed Description

Clangd extension that's used in the 'compilationDatabaseChanges' in workspace/didChangeConfiguration to record updates to the in-memory compilation database.

Definition at line 436 of file Protocol.h.

## Member Data Documentation

## ◆ compilationCommand

std::vector<std::string> clang::clangd::ClangdCompileCommand::compilationCommand

Definition at line 438 of file Protocol.h.

## ◆ workingDirectory

std::string clang::clangd::ClangdCompileCommand::workingDirectory

Definition at line 437 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h